<?php
namespace Ak\Mailchimp;

use Ak\Hydrator\ReadOnlyHydrator;
use Laminas\Hydrator\ClassMethods;
use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'hydrators' => [
        'aliases' => [
            Entity\MailingList::class                            => Hydrator\Entity\MailingListHydrator::class,
            Entity\MailingList\CampaignDefaults::class           => ClassMethods::class,
            Entity\MailingList\Contact::class                    => ClassMethods::class,
            Entity\MailingList\Stats::class                      => Hydrator\Entity\MailingList\StatsHydrator::class,
            Entity\MailingList\Member::class                     => Hydrator\Entity\MailingList\MemberHydrator::class,
            Entity\MailingList\Member\Location::class            => ReadOnlyHydrator::class,
            Entity\MailingList\Member\MarketingPermission::class => ClassMethods::class,
            Entity\MailingList\Member\Stats::class               => ReadOnlyHydrator::class,

            Response\GetListMembersResponse::class => Hydrator\Response\GetListMembersHydrator::class,
            Response\GetListsResponse::class => Hydrator\Response\GetListsHydrator::class,
        ],

        'factories' => [
            Hydrator\Entity\MailingListHydrator::class        => InvokableFactory::class,
            Hydrator\Entity\MailingList\StatsHydrator::class  => InvokableFactory::class,
            Hydrator\Entity\MailingList\MemberHydrator::class => InvokableFactory::class,

            Hydrator\Response\GetListMembersHydrator::class => InvokableFactory::class,
            Hydrator\Response\GetListsHydrator::class => InvokableFactory::class,
        ],
    ],
];
