<?php
namespace Ak\Mailchimp\Entity\MailingList\Member;

/**
 * Privola za određenu marketinšku aktivnost.
 *
 * @package Ak\Mailchimp\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class MarketingPermission
{
    /** @var string */
    private $marketing_permission_id;
    /** @var string */
    private $text;
    /** @var bool */
    private $enabled;

    /**
     * @return string
     */
    public function getMarketingPermissionId(): string
    {
        return $this->marketing_permission_id;
    }

    /**
     * @param string $marketing_permission_id
     */
    public function setMarketingPermissionId(string $marketing_permission_id): void
    {
        $this->marketing_permission_id = $marketing_permission_id;
    }

    /**
     * @return string
     */
    public function getText(): string
    {
        return $this->text;
    }

    /**
     * @param string $text
     */
    public function setText(string $text): void
    {
        $this->text = $text;
    }

    /**
     * @return bool
     */
    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    /**
     * @param bool $enabled
     */
    public function setEnabled(bool $enabled): void
    {
        $this->enabled = $enabled;
    }
}