<?php
namespace Ak\Mailchimp\Hydrator\Response;

use Ak\Hydrator\ReadOnlyHydrator;
use Ak\Mailchimp\Entity\MailingList;
use Ak\Mailchimp\Hydrator\Entity\MailingList\MemberHydrator;
use Laminas\Hydrator\Strategy\CollectionStrategy;

/**
 * Hidrira odgovore za GET lists/LIST_ID/members.
 *
 * @package Ak\Mailchimp\Hydrator\Response
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class GetListMembersHydrator extends ReadOnlyHydrator
{
    public function __construct()
    {
        parent::__construct();

        $this->addStrategy('members', new CollectionStrategy(new MemberHydrator(), MailingList\Member::class));
    }
}
