<?php
namespace AkTest\Mailchimp;

use Ak\Mailchimp\ConfigProvider;
use PHPUnit\Framework\TestCase;
use Zend\ConfigAggregator\ArrayProvider;
use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ServiceManager\ServiceManager;

/**
 * Osnovna klasa za testove entiteta.
 *
 * @package AkTest\Mailchimp\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
abstract class AbstractTestCase extends TestCase
{
    protected function getContainer(array $config = [])
    {
        $config = (new ConfigAggregator([
            \Ak\Hydrator\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider($config),
        ]))->getMergedConfig();

        $container = new ServiceManager($config['dependencies']);
        $container->setService('config', $config);

        return $container;
    }
}