<?php
namespace AkTest\Mailchimp\Entity\MailingList\Member;

use Ak\Mailchimp\Entity\MailingList\Member\Stats;
use AkTest\Mailchimp\AbstractTestCase;
use Zend\Hydrator\HydratorInterface;
use Zend\Hydrator\HydratorPluginManager;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Class MailingListStatsTest
 *
 * @package AkTest\Mailchimp\Entity\MailingList\Member
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class StatsTest extends AbstractTestCase
{
    public function testHydratorCanExchangeEntity()
    {
        $container = $this->getContainer();
        /** @var PluginManagerInterface $hydrators */
        $hydrators = $container->get(HydratorPluginManager::class);
        /** @var HydratorInterface $hydrator */
        $hydrator = $hydrators->get(Stats::class);

        $data = [
            'avg_open_rate' => 42.54,
            'avg_click_rate' => 12.35,
        ];

        /** @var Stats $stats */
        $stats = $hydrator->hydrate($data, new Stats());

        $this->assertEquals($data['avg_open_rate'], $stats->getAvgOpenRate());
        $this->assertEquals($data['avg_click_rate'], $stats->getAvgClickRate());

        $extracted = $hydrator->extract($stats);

        $this->assertEquals($data, $extracted);
    }
}